Name:           libpciaccess
Version:        0.17
Release:        1
Summary:        Generic PCI access library
License:        MIT
URL:            https://www.x.org/

Source0:        https://www.x.org/archive/individual/lib/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot


Patch0:         0000-libpciaccess-rom-size.patch
Patch1:         0001-libpciaccess-add-sw64.patch

BuildRequires:  autoconf automake libtool pkgconfig xorg-x11-util-macros
Requires:       hwdata

%description
Provides functionality for X to access the PCI bus and devices in a
platform-independent way.

%package devel
Summary:        PCI access library development package
Requires:       %{name} = %{version}-%{release}
Requires:       pkgconfig

%description devel
This package contains the development headers for the library.

%prep
%autosetup -n %{name}-%{version} -p1

%build
%configure --disable-static
make %{?_smp_mflags}

%install
%make_install
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%license COPYING
%doc AUTHORS
%{_libdir}/libpciaccess.so.0*

%files devel
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/libpciaccess.so
%{_libdir}/pkgconfig/pciaccess.pc


%changelog
* Mon Jan 16 2023 lvfei<lvfei@kylinos.cn> - 0.17-1
- update to 0.17

* Thu Jul 28 2022 wuzx<wuzx1226@qq.com> - 0.16-3
- add sw64 patch

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 0.16-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Wed Jul 15 2020 Zhiqiang Liu <lzhq28@mail.ustc.edu.cn> - 0.16-1
- update to v0.16 version

* Wed Jul 1 2020 Wu Bo <wubo009@163.com> - 0.14-2.4
- rebuild package

* Tue Aug 27 2019 zoujing <zoujing13@huawei.com> - 0.14-3
- Type:enhancemnet
- ID:NA
- SUG:NA
- DESCi:openEuler Debranding

* Wed Aug 21 2019 wubo <wubo40@huawei.com> - 0.14-2.2
- change patch name

* Thu Apr 18 2019 wangxiao<wangxiao65@huawei.com> - 0.14-2.1
- Type:bugfix
- ID:NA
- SUG:restart
- DESC:Set number of devices to 0 in case of error

* Wed Apr 17 2019 openEuler Buildteam <buildteam@openeuler.org> - 0.14-2
- Package Initialization

